Commits

Uelsk8s committed c0743f3

add back meta sbs

  • Participants
  • Parent commits 2797bd1

Comments (0)

Files changed (10)

File var/vabs/kde4-meta/src/kde4-meta.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+# ----------------------------------------------------------------------
+# HOW TO USE THIS SCRIPT:
+# * Update the build scripts for the packages listed in KDE_CORE_PKG list
+# * Push changes to the git tree (use the !:nobuild keyword in the commit
+#   message to avoid automatic build
+# * Force the build for this package and set the metabuild property to TRUE
+#
+# Even if the VERSION of the KDE_EXTRA_PKG list is not updated, the script will
+# set the VERSION env variable to VERSION specified in this script and try to build
+# the new versions of the components.
+
+NAME="kde4-meta"            #Enter package Name!
+VERSION=${VERSION:-"4.12.4"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
+LINK=${LINK:-"EMPTY"}  #Enter URL for package here!
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+# CORE PACKAGES MUST BE BUILT IN THIS ORDER.
+#KDE_CORE_PKG="automoc4 phonon phonon-backend-gstreamer akonadi attica qimageblitz \
+#	shared-desktop-ontologies polkit-qt-1 oxygen-icons kdelibs polkit-kde-agent-1 \
+#	nepomuk-core nepomuk-widgets kdepimlibs kactivities kde-runtime kde-baseapps \
+#	kde-base-artwork kde-workspace kdepim-runtime kdepim"
+# EXTRA PACKAGES CAN BE BUILT IN ANY ORDER
+#KDE_EXTRA_PKG="konsole kate ark kdeadmin kmix libkcddb libkexiv2 kdeplasma-addons okular \
+#	gwenview kdeartwork juk dragon kcalc pykde4 kdeaccessibility kdetoys kwallet \
+#	marble kdesdk analitza audiocd-kio blinken cantor ffmpegthumbs filelight \
+#	jovie kalgebra kalzium kamera kanagram kbruch kcharselect kcolorchooser \
+#	kde-wallpapers kdegraphics-mobipocket kdegraphics-strigi-analyzer \
+#	kdegraphics-thumbnailers kdenetwork kdewebdev kdf kgeography kgpg khangman \
+#	kig kiten klettres kmag kmousetool kmouth kmplot kolourpaint kremotecontrol \
+#	kruler libksane ksaneplugin kscd ksnapshot kstars ktimer ktouch kturtle \
+#	kwordquiz libkcompactdisc libkdcraw libkdeedu libkipi"
+
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+NUMJOBS=${NUMJOBS:-"-j6"}
+GROUPBUILD=${GROUPBUILD:-"NO"} # Set to "YES" to build all components from source"
+
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+#if [[ "$ARCH" = i?86 ]]; then
+#  ARCH=i586
+#  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+#  CONFIGURE_TRIPLET="i586-vector-linux"
+#  LIBDIRSUFFIX=""
+#elif [ "$ARCH" = "x86_64" ]; then
+#  SLKCFLAGS="-O2 -fpic"
+#  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+#  LIBDIRSUFFIX="64"
+#elif [ "$ARCH" = "powerpc" ]; then
+#  SLKCFLAGS="-O2"
+#  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+#  LIBDIRSUFFIX=""
+#fi
+
+# set as NOARCH
+ARCH=noarch
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+#echo "Extracting source..."
+#tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#-----------------------------------------------------
+
+
+#cd $TMP/$NAME-$VERSION
+
+# Put any Patches into a patches folder in the src dir
+#-----------------------------------------------------
+#for i in $CWD/patches/*;do
+#	patch -p1 <$i
+#done
+#-----------------------------------------------------
+
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+# Assumes the git tree is available in /home/slackbuilds
+# Build and install core packages
+# METABUILD is set by the build slave when requested from the IRC interface
+#if [ "$METABUILD" != "NO" ]; then
+
+#echo "BUILDING ALL COMPONENTS FROM SOURCE CODE"
+
+#CORE_FAILED=/tmp/kdecore-failed
+#EXTRA_FAILED=/tmp/kdeextra-failed
+#rm -rf $CORE_FAILED $EXTRA_FAILED
+#for pkg in $KDE_CORE_PKG; do
+#	cp -ax /home/slackbuilds/var/vabs/$pkg /tmp/builds || exit 1
+#		cd /tmp/builds/$pkg/src/
+#		vldepper $pkg.SlackBuild
+#		ARCH="" NUMJOBS=$NUMJOBS sh $pkg.SlackBuild || echo $pkg >> $CORE_FAILED
+#		installpkg ../*.t?z || exit 1
+#done
+## Check if any of the core packages failed to build
+#FAILED=$(cat $CORE_FAILED)
+#if [ "x$FAILED" != "x"]; then
+#	echo "ERROR:  The following packages are part of the KDE CORE and failed to build."
+#	echo " "
+#	for i in $(echo $FAILED); do
+#		echo "$i"
+#	done
+#	echo " "
+#	echo "The KDE Meta package cannot be built without these components."
+#	exit 1
+#fi
+## Build and install all other extra packages
+#for pkg in $KDE_EXTRA_PKG; do
+#	cp -ax /home/slackbuilds/var/vabs/$pkg /tmp/builds || echo "$pkg failed copy" >> $EXTRA_FAILED
+#	(
+#		cd /tmp/builds/$pkg/src
+#		vldepper $pkg.SlackBuild || exit 1
+#		ARCH="" VERSION=$VERSION NUMJOBS=$NUMJOBS sh $pkg.SlackBuild || echo $pkg >> $EXTRA_FAILED
+#		installpkg ../*.t?z || exit 1
+#	)
+#done
+#fi
+#FAILED=$(cat $EXTRA_FAILED)
+#if [ "x$FAILED" != "" ]; then
+#	echo "The following packages failed to build."
+#	echo ""
+#	for i in $FAILED; do
+#		echo "$i"
+#	done
+#	echo " "
+#	echo "The KDE meta package will still be created, but functionality from these packages"
+#	echo "will not be included".
+#fi
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+mkdir $PKG/install
+cp $CWD/slack-required $PKG/install/slack-required
+cp $CWD/slack-required $RELEASEDIR/slack-required
+
+#mkdir -p $PKG/usr/doc/$NAME-$VERSION
+#cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
+#LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+#$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ] ; then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ] ; then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ] ; then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+        install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+[ -d $PKG/etc/gconf/schemas ] && {
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+}
+
+mkdir -p $PKG/install
+cat >> $PKG/install/doinst.sh << EOF
+# update rarian database
+if [ -x usr/bin/rarian-sk-update ]; then
+  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
+fi
+
+# update mime database
+if [ -x usr/bin/update-mime-database ]; then
+  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
+fi
+
+# update desktop entries
+if [ -x usr/bin/update-desktop-database ]; then
+  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+fi
+
+# update hicolor icons
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+	rm -f usr/share/icons/hicolor/icon-theme.cache
+fi
+usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
+
+# Restart gconfd-2 if running to reload new gconf settings
+if ps acx | grep -q gconfd-2 ; then
+        killall -HUP gconfd-2 ;
+fi
+EOF
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (KDE4 Desktop Environment)
+$NAME:
+$NAME: The KDE® Community is an international technology team dedicated to 
+$NAME: creating a free and user-friendly computing experience, offering an 
+$NAME: advanced graphical desktop, a wide variety of applications for 
+$NAME: communication, work, education and entertainment and a platform to 
+$NAME: easily build new applications upon.
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: http://www.kde.org/
+$NAME: Website: http://www.kde.org/
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/kde4-meta/src/patches/.gitignore

Empty file added.

File var/vabs/kde4-meta/src/slack-required

+attica >= 0.4.2
+sip >= 4.14.2
+PyQt >= 4.9.6
+qt >= 4.8.4
+ffmpeg >= 0.11.2
+hunspell >= 1.3.2
+polkit-qt-1 >= 0.103.0
+polkit-kde-agent-1 >= 9d74ae3_20120104git
+polkit-kde-kcmodules-1 >= 001bdf7_20120111git
+phonon-backend-gstreamer >= 4.6.3
+virtuoso-ose >= 6.1.6
+shared-desktop-ontologies >= 0.11.0
+eigen2 >= 2.0.15
+grantlee >= 0.3.0
+phonon >= 4.6.0
+soprano >= 2.9.3
+strigi >= 0.7.8
+kdelibs >= 4.11.1
+oxygen-icons >= 4.11.1
+kde-wallpapers >= 4.11.1
+jovie >= 4.11.1
+kaccessible >= 4.11.1
+kmag >= 4.11.1
+kmouth >= 4.11.1
+kmousetool >= 4.11.1
+nepomuk-core >= 4.11.1
+nepomuk-widgets >= 4.11.1
+kdepimlibs >= 4.11.1
+pykde4 >= 4.11.1
+kactivities >= 4.11.1
+kde-baseapps >= 4.11.1
+konsole >= 4.11.1
+kate >= 4.11.1
+kde-runtime >= 4.11.1
+kde-workspace >= 4.11.1
+kde-base-artwork >= 4.11.1
+libktorrent >= 1.3.1
+ktorrent >= 4.3.1
+libkdeedu >= 4.11.1
+analitza >= 4.11.1
+blinken >= 4.11.1
+cantor >= 4.11.1
+kalgebra >= 4.11.1
+kalzium >= 4.11.1
+kanagram >= 4.11.1
+kbruch >= 4.11.1
+kgeography >= 4.11.1
+khangman >= 4.11.1
+kig >= 4.11.1
+kiten >= 4.11.1
+klettres >= 4.11.1
+kmplot >= 4.11.1
+kstars >= 4.11.1
+ktouch >= 4.11.1
+kturtle >= 4.11.1
+kwordquiz >= 4.11.1
+marble >= 4.11.1
+parley >= 4.11.1
+pairs >= 4.11.1
+rocs >= 4.11.1
+step >= 4.11.1
+kcron >= 4.11.1
+ksystemlog >= 4.11.1
+kuser >= 4.11.1
+libkipi >= 4.11.1
+libkexiv2 >= 4.11.1
+libkdcraw >= 4.11.1
+libksane >= 4.11.1
+okular >= 4.11.1
+kdegraphics-strigi-analyzer >= 4.11.1
+kdegraphics-thumbnailers >= 4.11.1
+kdegraphics-mobipocket >= 4.11.1
+gwenview >= 4.11.1
+kamera >= 4.11.1
+kcolorchooser >= 4.11.1
+kgamma >= 4.11.1
+kolourpaint >= 4.11.1
+kruler >= 4.11.1
+ksaneplugin >= 4.11.1
+ksnapshot >= 4.11.1
+svgpart >= 4.11.1
+kdeartwork >= 4.11.1
+libkcddb >= 4.11.1
+libkcompactdisc >= 4.11.1
+audiocd-kio >= 4.11.1
+dragon >= 4.11.1
+ffmpegthumbs >= 4.11.1
+mplayerthumbs >= 4.11.1
+juk >= 4.11.1
+kmix >= 4.11.1
+kscd >= 4.11.1
+kdenetwork-filesharing >= 4.11.1
+kdenetwork-strigi-analyzers >= 4.11.1
+kdnssd >= 4.11.1
+kget >= 4.11.1
+kopete >= 4.11.1
+kppp >= 4.11.1
+krdc >= 4.11.1
+krfb >= 4.11.1
+ark >= 4.11.1
+filelight >= 4.11.1
+kcalc >= 4.11.1
+kcharselect >= 4.11.1
+kdf >= 4.11.1
+kfloppy >= 4.11.1
+kgpg >= 4.11.1
+print-manager >= 4.11.1
+kremotecontrol >= 4.11.1
+ktimer >= 4.11.1
+kwallet >= 4.11.1
+superkaramba >= 4.11.1
+sweeper >= 4.11.1
+libkdegames >= 4.11.1
+libkmahjongg >= 4.11.1
+klickety >= 4.11.1
+ksudoku >= 4.11.1
+ksquares >= 4.11.1
+kpat >= 4.11.1
+klines >= 4.11.1
+ksnakeduel >= 4.11.1
+kollision >= 4.11.1
+kshisen >= 4.11.1
+kblocks >= 4.11.1
+lskat >= 4.11.1
+kreversi >= 4.11.1
+bovo >= 4.11.1
+kajongg >= 4.11.1
+granatier >= 4.11.1
+kmines >= 4.11.1
+kiriki >= 4.11.1
+kigo >= 4.11.1
+bomber >= 4.11.1
+kolf >= 4.11.1
+kdiamond >= 4.11.1
+kbounce >= 4.11.1
+konquest >= 4.11.1
+kapman >= 4.11.1
+knavalbattle >= 4.11.1
+killbots >= 4.11.1
+kubrick >= 4.11.1
+kgoldrunner >= 4.11.1
+knetwalk >= 4.11.1
+kbreakout >= 4.11.1
+ksirk >= 4.11.1
+kfourinline >= 4.11.1
+picmi >= 4.11.1
+kblackbox >= 4.11.1
+palapeli >= 4.11.1
+katomic >= 4.11.1
+ktuberling >= 4.11.1
+kjumpingcube >= 4.11.1
+kmahjongg >= 4.11.1
+kspaceduel >= 4.11.1
+kdeplasma-addons >= 4.11.1
+kdepim >= 4.11.1
+kdepim-runtime >= 4.11.1
+kdewebdev >= 4.11.1
+cervisia >= 4.11.1
+dolphin-plugins >= 4.11.1
+kapptemplate >= 4.11.1
+kcachegrind >= 4.11.1
+kde-dev-scripts >= 4.11.1
+kde-dev-utils >= 4.11.1
+kdesdk-kioslaves >= 4.11.1
+kdesdk-strigi-analyzers >= 4.11.1
+kdesdk-thumbnailers >= 4.11.1
+kompare >= 4.11.1
+lokalize >= 4.11.1
+okteta >= 4.11.1
+poxml >= 4.11.1
+umbrello >= 4.11.1
+amor >= 4.11.1
+kteatime >= 4.11.1
+ktux >= 4.11.1
+gtk-kde4 >= 0.9.5

File var/vabs/lxde-meta/src/lxde-meta.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="lxde-meta"            #Enter package Name!
+VERSION=${VERSION:-"1.0.2"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
+LINK=${LINK:-"EMPTY"}  #Enter URL for package here!
+DESKTOP_PKGS="openbox \
+lxsession \
+lxpanel \
+lxinput \
+lxtask \
+lxterminal \
+libfm \
+pcmanfm \
+gpicview \
+lxde-icon-theme \
+lxde-common \
+lxmenu-data \
+lxmusic \
+lxrandr \
+lxsession \
+lxsession-edit \
+menu-cache \
+lxappearance "
+
+EXTRA_PKGS="lxappearance-obconf \
+lxshortcut \
+lxsession-edit \
+lxtask \
+lxnm \
+xarchiver"
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+#----------------------------------------------------------------------------
+
+if [ "$NORUN" != 1 ]; then
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i586-vector-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+#echo "Extracting source..."
+#tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#-----------------------------------------------------
+
+
+#cd $TMP/$NAME-$VERSION
+
+# Put any Patches into a patches folder in the src dir
+#-----------------------------------------------------
+#for i in $CWD/patches/*;do
+#	patch -p1 <$i
+#done
+#-----------------------------------------------------
+
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+# Set the config option variables if they are not already set:
+#if [ -r ../KDE.options ]; then
+#  . ../KDE.options
+#fi
+
+# The global options may be overridden here (if needed):
+#if [ -r ./local.options ]; then
+#  . ./local.options
+#fi
+
+# Avoid a version number in .la files:
+#if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+#  QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+#fi
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+mkdir $PKG/install
+cp $CWD/slack-required $PKG/install/slack-required
+cp $CWD/slack-required $RELEASEDIR/slack-required
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
+LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ] ; then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ] ; then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ] ; then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+        install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+[ -d $PKG/etc/gconf/schemas ] && {
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+}
+
+mkdir -p $PKG/install
+cat >> $PKG/install/doinst.sh << EOF
+# update rarian database
+if [ -x usr/bin/rarian-sk-update ]; then
+  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
+fi
+
+# update mime database
+if [ -x usr/bin/update-mime-database ]; then
+  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
+fi
+
+# update desktop entries
+if [ -x usr/bin/update-desktop-database ]; then
+  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+fi
+
+# update hicolor icons
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+	rm -f usr/share/icons/hicolor/icon-theme.cache
+fi
+usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
+
+# Restart gconfd-2 if running to reload new gconf settings
+if ps acx | grep -q gconfd-2 ; then
+        killall -HUP gconfd-2 ;
+fi
+EOF
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (Light X11 Desktop Environment)
+$NAME:
+$NAME: LXDE is a new project aimed to provide a new desktop 
+$NAME: environment which is lightweight and fast. 
+$NAME:  
+$NAME:  
+$NAME: 
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: http://www.lxde.org/
+$NAME: Website: http://www.lxde.org/
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+#ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+# Generate the slack-required
+rm -f $RELEASEDIR/slack-required
+rm -f $PKG/install/slack-required
+for i in $(echo $DESKTOP_PKGS $EXTRA_PKGS); do
+	echo $i >> $RELEASEDIR/slack-required
+	echo $i >> $PKG/install/slack-required
+done
+
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/lxde-meta/src/patches/.gitignore

Empty file added.

File var/vabs/mate-desktop-extra-meta/src/mate-desktop-extra-meta.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="mate-desktop-extra-meta"            #Enter package Name!
+VERSION=${VERSION:-"1.6.0"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
+LINK=${LINK:-"EMPTY"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+#if [[ "$ARCH" = i?86 ]]; then
+#  ARCH=i586
+#  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+#  CONFIGURE_TRIPLET="i486-slackware-linux"
+#  LIBDIRSUFFIX=""
+#elif [ "$ARCH" = "x86_64" ]; then
+#  SLKCFLAGS="-O2 -fpic"
+#  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+#  LIBDIRSUFFIX="64"
+#elif [ "$ARCH" = "powerpc" ]; then
+#  SLKCFLAGS="-O2"
+#  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+#  LIBDIRSUFFIX=""
+#fi
+
+# set as NOARCH
+ARCH=noarch
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+#echo "Extracting source..."
+#tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#-----------------------------------------------------
+
+
+#cd $TMP/$NAME-$VERSION
+
+# Put any Patches into a patches folder in the src dir
+#-----------------------------------------------------
+#for i in $CWD/patches/*;do
+#	patch -p1 <$i
+#done
+#-----------------------------------------------------
+
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+mkdir $PKG/install
+cp $CWD/slack-required $PKG/install/slack-required
+cp $CWD/slack-required $RELEASEDIR/slack-required
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+#cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
+#LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+#$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ] ; then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ] ; then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ] ; then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+        install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+[ -d $PKG/etc/mateconf/schemas ] && {
+# Make sure we have mateconftool installed
+echo "if [ -x usr/bin/mateconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/mateconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "MATECONF_CONFIG_SOURCE=\"xml::etc/mateconf/mateconf.xml.defaults\" \
+   usr/bin/mateconftool-2 --makefile-install-rule \
+   etc/mateconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+}
+
+mkdir -p $PKG/install
+cat >> $PKG/install/doinst.sh << EOF
+# update rarian database
+if [ -x usr/bin/rarian-sk-update ]; then
+  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
+fi
+
+# update mime database
+if [ -x usr/bin/update-mime-database ]; then
+  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
+fi
+
+# update desktop entries
+if [ -x usr/bin/update-desktop-database ]; then
+  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+fi
+
+# update hicolor icons
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+	rm -f usr/share/icons/hicolor/icon-theme.cache
+fi
+usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
+
+# Restart gconfd-2 if running to reload new gconf settings
+if ps acx | grep -q gconfd-2 ; then
+        killall -HUP gconfd-2 ;
+fi
+EOF
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (MATE Desktop Environment)
+$NAME:
+$NAME: MATE is a fork of Gnome 2. It provides an intuitive and attractive 
+$NAME: desktop to Linux users using traditional metaphors.
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: http://mate-desktop.org/
+$NAME: Website: http://mate-desktop.org/
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/mate-desktop-extra-meta/src/slack-required

+mate-text-editor >= 1.6.0
+mate-screensaver >= 1.6.0
+mate-image-viewer >= 1.6.0
+mate-file-archiver >= 1.6.0
+mate-document-viewer >= 1.6.0
+mate-calc >= 1.6.0
+mate-utils >= 1.6.0
+mate-file-manager-sendto >= 1.6.0
+mate-file-manager-gksu >= 1.6.0
+mate-file-manager-image-converter >= 1.6.0
+mate-file-manager-share >= 1.6.0
+mate-applets >= 1.6.0
+mate-bluetooth >= 1.6.0
+mate-user-share >= 1.6.0
+mate-media >= 1.6.0
+mate-character-map >= 1.6.0
+mate-control-center >= 1.6.0
+mate-power-manager >= 1.6.0
+mate-menu-editor >= 1.6.0
+mate-sensors-applet >= 1.6.0
+mate-netspeed >= 1.6.0
+mate-netbook >= 1.6.0
+mate-icon-theme-faenza >= 1.6.0
+mate-indicator-applet >= 1.6.0
+mate-system-tools >= 1.6.0
+mate-system-monitor >= 1.6.0

File var/vabs/mate-desktop-meta/src/mate-desktop-meta.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="mate-desktop-meta"            #Enter package Name!
+VERSION=${VERSION:-"1.6.0"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
+LINK=${LINK:-"EMPTY"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"3"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here. 
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+#if [[ "$ARCH" = i?86 ]]; then
+#  ARCH=i586
+#  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+#  CONFIGURE_TRIPLET="i486-slackware-linux"
+#  LIBDIRSUFFIX=""
+#elif [ "$ARCH" = "x86_64" ]; then
+#  SLKCFLAGS="-O2 -fpic"
+#  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+#  LIBDIRSUFFIX="64"
+#elif [ "$ARCH" = "powerpc" ]; then
+#  SLKCFLAGS="-O2"
+#  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+#  LIBDIRSUFFIX=""
+#fi
+
+# set as NOARCH
+ARCH=noarch
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+#echo "Extracting source..."
+#tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#-----------------------------------------------------
+
+
+#cd $TMP/$NAME-$VERSION
+
+# Put any Patches into a patches folder in the src dir
+#-----------------------------------------------------
+#for i in $CWD/patches/*;do
+#	patch -p1 <$i
+#done
+#-----------------------------------------------------
+
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+mkdir $PKG/install
+cp $CWD/slack-required $PKG/install/slack-required
+cp $CWD/slack-required $RELEASEDIR/slack-required
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+#cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
+#LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+#$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ] ; then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ] ; then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ] ; then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+        install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+[ -d $PKG/etc/mateconf/schemas ] && {
+# Make sure we have mateconftool installed
+echo "if [ -x usr/bin/mateconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/mateconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "MATECONF_CONFIG_SOURCE=\"xml::etc/mateconf/mateconf.xml.defaults\" \
+   usr/bin/mateconftool-2 --makefile-install-rule \
+   etc/mateconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+}
+
+mkdir -p $PKG/install
+cat >> $PKG/install/doinst.sh << EOF
+# update rarian database
+if [ -x usr/bin/rarian-sk-update ]; then
+  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
+fi
+
+# update mime database
+if [ -x usr/bin/update-mime-database ]; then
+  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
+fi
+
+# update desktop entries
+if [ -x usr/bin/update-desktop-database ]; then
+  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+fi
+
+# update hicolor icons
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+	rm -f usr/share/icons/hicolor/icon-theme.cache
+fi
+usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
+
+# Restart gconfd-2 if running to reload new gconf settings
+if ps acx | grep -q gconfd-2 ; then
+        killall -HUP gconfd-2 ;
+fi
+EOF
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (MATE Desktop Environment)
+$NAME:
+$NAME: MATE is a fork of Gnome 2. It provides an intuitive and attractive 
+$NAME: desktop to Linux users using traditional metaphors.
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: http://mate-desktop.org/
+$NAME: Website: http://mate-desktop.org/
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/mate-desktop-meta/src/slack-required

+mate-common >= 1.6.0
+mate-doc-utils >= 1.6.0
+mate-desktop >= 1.6.0
+libmatekeyring >= 1.6.0
+mate-keyring >= 1.6.0
+libmatekbd >= 1.6.0
+libmateweather >= 1.6.0
+libmatewnck >= 1.6.0
+mate-icon-theme >= 1.6.0
+mate-dialogs >= 1.6.0
+mate-file-manager >= 1.6.0
+mate-polkit >= 1.6.0
+mate-window-manager >= 1.6.0
+mate-settings-daemon >= 1.6.0
+mate-session-manager >= 1.6.0
+mate-menus >= 1.6.0
+mate-terminal >= 1.6.0
+mate-panel >= 1.6.0
+mate-themes >= 1.6.0
+mate-backgrounds >= 1.6.0
+mate-notification-daemon >= 1.6.0
+mate-file-manager-open-terminal >= 1.6.0

File var/vabs/xfce4-meta/src/xfce4-meta.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+
+NAME="xfce4-meta"            #Enter package Name!
+VERSION=${VERSION:-"4.10.1"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"rbistolfi"}   #Enter your Name!
+LINK=${LINK:-"EMPTY"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH="noarch"
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-"libxfce4util xfconf libxfce4ui garcon exo xfce4-panel tumbler Thunar xfce4-settings xfce4-session xfdesktop xfwm4 xfce4-appfinder gtk-xfce-engine xfwm4-themes Terminal orage xfce4-mixer thunar-volman xfce4-power-manager xfce4-notifyd xfce4-volumed xfce4-taskmanager"} #Add deps that need to be added to the slack-required file here 
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-"dbus glib2"} # Add deps needed to BUILD this package here.
+
+METABUILD=${METABUILD:-"NO"} # Set this to "YES" to force all components be built from source code.
+NUMJOBS=${NUMJOBS:-"-j6"}
+#----------------------------------------------------------------------------
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+# Check if we need to build all the components.
+if [ ! "$METABUILD" = "NO" ]; then
+	# Download the vldepper tool if it doesn't exist
+	if [ ! -f /usr/local/bin/vldepper ]; then
+		wget --no-check-certificate https://bitbucket.org/VLCore/vlbuildbot/raw/master/slave/usr/local/bin/vldepper || exit 1
+		mv vldepper /usr/local/bin/vldepper
+		chmod +x /usr/local/bin/vldepper
+	fi
+
+	echo "METABUILD set to $METABUILD.  The following components will be built from source code"
+	for i in $(echo $ADDRB); do
+		echo "$i"
+	done
+	echo ;read
+	for pkg in $ADDRB; do
+		cp -arxp /home/slackbuilds/var/vabs/$pkg /tmp/builds/ || exit 1
+		cd /tmp/builds/$pkg/src/ || exit 1
+		/usr/local/bin/vldepper $pkg.SlackBuild
+		removepkg $pkg # Just in case some other package picked this up as a dep.
+		BUILDNUM=${BUILDNUM} ARCH="" NUMJOBS=${NUMJOBS} sh $pkg.SlackBuild || exit 1
+		installpkg ../*.t?z || exit 1
+	done
+fi
+
+mkdir -p $PKG/install
+
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+  SHIM="$SHIM "
+  let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (Xfce4 Desktop Environment)
+$NAME:
+$NAME: Xfce4 meta package
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: http://xfce.org
+$NAME: Website: http://xfce.org
+
+EOF
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+for dep in $ADDRB
+do
+	echo $dep >> $PKG/install/slack-required
+done
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+cd $PKG
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"